import 'package:shared_preferences/shared_preferences.dart';

import '../models/models.dart';

class PreferenceStorage {
  static Future<Token> getToken() async {
    var prefs = await SharedPreferences.getInstance();
    var token = prefs.getString('platform_token');
    return token != null ? Token.fromJson(token) : Token.empty;
  }

  static void saveToken(Token token) async {
    var prefs = await SharedPreferences.getInstance();
    await prefs.setString('platform_token', token.toJson());
  }

  static void clearToken() async {
    var prefs = await SharedPreferences.getInstance();
    await prefs.remove('platform_token');
  }
}
